Name:           ocaml-cryptgps
Version:        0.2.1
Release:        %mkrel 5
Summary:        Cryptographic functions 
License:        MIT/X11
Group:          Development/OCaml
URL:            http://projects.camlcity.org/projects/cryptgps.html
Source0:        http://download.camlcity.org/download/cryptgps-%{version}.tar.gz
BuildRequires:  ocaml-findlib

%description
This library implements the symmetric cryptographic algorithms Blowfish,
DES, and 3DES. The algorithms are written in OCaml, i.e. this is not a
binding to some C library, but the implementation itself.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n cryptgps

%build
make all opt

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/cryptgps
make install
install -m 0644 *.cmx $OCAMLFIND_DESTDIR/cryptgps/

%files
%doc LICENSE README
%dir %{_libdir}/ocaml/cryptgps
%{_libdir}/ocaml/cryptgps/META
%{_libdir}/ocaml/cryptgps/*.cma
%{_libdir}/ocaml/cryptgps/*.cmi

%files devel
%doc test/
%{_libdir}/ocaml/cryptgps/*.a
%{_libdir}/ocaml/cryptgps/*.cmxa
%{_libdir}/ocaml/cryptgps/*.cmx
%{_libdir}/ocaml/cryptgps/*.mli


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.2.1-5.mga3
+ Revision: 361243
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.2.1-4.mga3
+ Revision: 301085
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.2.1-3.mga3
+ Revision: 300588
- desription wrapped at 76 (https://wiki.mageia.org/en/RPM_Specfile_policy), and cleaning spec file
- new rpm group for ocaml

* Sun Oct 02 2011 fwang <fwang> 0.2.1-2.mga2
+ Revision: 150896
- rebuild for new ocaml

* Fri Apr 08 2011 ennael <ennael> 0.2.1-1.mga1
+ Revision: 82428
- clean spec file
- imported package ocaml-cryptgps

